CMSIS-DSP: Matrix Transpose

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Matrix Transpose
Matrix Functions

## Functions

arm_status | arm_mat_trans_f16 (const arm_matrix_instance_f16 *pSrc, arm_matrix_instance_f16 *pDst)
| Floating-point matrix transpose. More...
arm_status | arm_mat_trans_f32 (const arm_matrix_instance_f32 *pSrc, arm_matrix_instance_f32 *pDst)
| Floating-point matrix transpose. More...
arm_status | arm_mat_trans_f64 (const arm_matrix_instance_f64 *pSrc, arm_matrix_instance_f64 *pDst)
| Floating-point matrix transpose. More...
arm_status | arm_mat_trans_q15 (const arm_matrix_instance_q15 *pSrc, arm_matrix_instance_q15 *pDst)
| Q15 matrix transpose. More...
arm_status | arm_mat_trans_q31 (const arm_matrix_instance_q31 *pSrc, arm_matrix_instance_q31 *pDst)
| Q31 matrix transpose. More...
arm_status | arm_mat_trans_q7 (const arm_matrix_instance_q7 *pSrc, arm_matrix_instance_q7 *pDst)
| Q7 matrix transpose. More...

## Description

Tranposes a matrix.

Transposing an `M x N` matrix flips it around the center diagonal and results in an `N x M` matrix.

Transpose of a 3 x 3 matrix

## Function Documentation

arm_status arm_mat_trans_f16 | ( | const arm_matrix_instance_f16 * | pSrc,
|  | arm_matrix_instance_f16 * | pDst
| ) |  |

Parameters

  [in] | pSrc | points to input matrix
  [out] | pDst | points to output matrix

Returns
  execution status
  - ARM_MATH_SUCCESS : Operation successful
  - ARM_MATH_SIZE_MISMATCH : Matrix size check failed

arm_status arm_mat_trans_f32 | ( | const arm_matrix_instance_f32 * | pSrc,
|  | arm_matrix_instance_f32 * | pDst
| ) |  |

Parameters

  [in] | pSrc | points to input matrix
  [out] | pDst | points to output matrix

Returns
  execution status
  - ARM_MATH_SUCCESS : Operation successful
  - ARM_MATH_SIZE_MISMATCH : Matrix size check failed

arm_status arm_mat_trans_f64 | ( | const arm_matrix_instance_f64 * | pSrc,
|  | arm_matrix_instance_f64 * | pDst
| ) |  |

Parameters

  [in] | pSrc | points to input matrix
  [out] | pDst | points to output matrix

Returns
  execution status
  - ARM_MATH_SUCCESS : Operation successful
  - ARM_MATH_SIZE_MISMATCH : Matrix size check failed

arm_status arm_mat_trans_q15 | ( | const arm_matrix_instance_q15 * | pSrc,
|  | arm_matrix_instance_q15 * | pDst
| ) |  |

Parameters

  [in] | pSrc | points to input matrix
  [out] | pDst | points to output matrix

Returns
  execution status
  - ARM_MATH_SUCCESS : Operation successful
  - ARM_MATH_SIZE_MISMATCH : Matrix size check failed

arm_status arm_mat_trans_q31 | ( | const arm_matrix_instance_q31 * | pSrc,
|  | arm_matrix_instance_q31 * | pDst
| ) |  |

Parameters

  [in] | pSrc | points to input matrix
  [out] | pDst | points to output matrix

Returns
  execution status
  - ARM_MATH_SUCCESS : Operation successful
  - ARM_MATH_SIZE_MISMATCH : Matrix size check failed

arm_status arm_mat_trans_q7 | ( | const arm_matrix_instance_q7 * | pSrc,
|  | arm_matrix_instance_q7 * | pDst
| ) |  |

Parameters

  [in] | pSrc | points to input matrix
  [out] | pDst | points to output matrix

Returns
  execution status
  - ARM_MATH_SUCCESS : Operation successful
  - ARM_MATH_SIZE_MISMATCH : Matrix size check failed